"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
        default: obj
    };
} // src/index.ts
var _clipboardy = require("clipboardy");
var _clipboardy2 = _interopRequireDefault(_clipboardy);
var src_default = function() {
    return {
        name: "vite-copy-url",
        configureServer: function configureServer(param) {
            var config = param.config;
            var _config_server = config.server, host = _config_server.host, port = _config_server.port;
            var _host = host || "localhost";
            var _port = port || 5173;
            var url = "http://".concat(_host, ":").concat(_port);
            _clipboardy2.default.writeSync(url);
            console.log("[vite-copy-url]: Has been copied to clipboard: ".concat(url));
        }
    };
};
exports.default = src_default;
module.exports = exports.default;
//# sourceMappingURL=index.cjs.js.map