// src/index.ts
import clipboardy from "clipboardy";
var src_default = function() {
    return {
        name: "vite-copy-url",
        configureServer: function configureServer(param) {
            var config = param.config;
            var _config_server = config.server, host = _config_server.host, port = _config_server.port;
            var _host = host || "localhost";
            var _port = port || 5173;
            var url = "http://".concat(_host, ":").concat(_port);
            clipboardy.writeSync(url);
            console.log("[vite-copy-url]: Has been copied to clipboard: ".concat(url));
        }
    };
};
export { src_default as default };
//# sourceMappingURL=index.esm.js.map